Subject: bug#70362: [PATCH] Add font-locking for Go built-in functions in go-ts-mode

From: Noah Peart <[email-masked]>
Date: Sat, 13 Apr 2024 00:40:38 -0700

I put it at level 3 following the conventions in other treesit modes
I checked: python-ts-mode, ruby-ts-mode, rust-ts-mode all put builtins at
level 3.
But, I haven't done a full census of the ts modes so there might be
variability.

On Sat, Apr 13, 2024 at 12:23 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Noah Peart <[email-masked]>
> > Date: Fri, 12 Apr 2024 22:47:37 -0700
> >
> > This patch adds a new `builtin` feature to
> > `treesit-font-lock-feature-list` in `go-ts-mode` and a corresponding
> > rule to `go-ts-mode--font-lock-settings` to highlight Go's built-in
> functions.
>
> Thanks.
>
> I will ask here as well: at what level of font-lock will this be
> fontified?  I think it should be fontified only on level 4.
>